MPT_DO_IOC_RECOVERY(9)

NAME
mpt_do_ioc_recovery - Initialize or recover MPT adapter.

SYNOPSIS

int mpt_do_ioc_recovery(MPT_ADAPTER * ioc, u32 reason, int sleepFlag);

ARGUMENTS

ioc
    Pointer to MPT adapter structure

reason
    Event word / reason

sleepFlag
    Use schedule if CAN_SLEEP else use udelay.

DESCRIPTION

This routine performs all the steps necessary to bring the IOC to a OPERATIONAL state.

This routine also pre-fetches the LAN MAC address of a Fibre Channel MPT adapter.

RETURNS

0 for success -1 if failed to get board READY -2 if READY but IOCFacts Failed -3 if READY but PrimeIOCFifos Failed -4 if READY but IOCInit Failed -5 if failed to enable_device and/or request_selected_regions -6 if failed to upload firmware

COPYRIGHT